Subject: bug#31240: 26.1; mouse-save-then-kill does not kill rectangles

From: martin rudalics <[email-masked]>
Date: Fri, 28 Sep 2018 09:47:20 +0200

> So I think I have two options now: either forbid the user from
 > dragging a rectangle to a position where the inserted rectangle would
 > intersect the original rectangle,

IIRC that would be faithful to the original (non-rectangle-dragging)
design.

 > or find another way to track the
 > originally selected rectangle in a way it can be accurately deleted
 > after inserting it in the new position. I guess I'll go with the
 > second option, since it would make function more useful for users.

In that case we should try to make the non-rectangle-dragging behavior
similar.  So if you prefer the second option, please do that and make
it customizable.

Many thanks for working on this, martin